--
--  File:     SELECT_TOP_10.SQL
--

USE tpch3000gcci
GO

SET NOCOUNT ON
GO

PRINT   ''
PRINT   ''
PRINT   '----------------------------------'
PRINT   '|  TPC-H Select Top 10 - Begin   |'
PRINT   '----------------------------------'
PRINT   ' '
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO

PRINT   ' '
PRINT   '*** CUSTOMER ***'
SELECT  TOP 10 *
FROM    CUSTOMER

PRINT   ' '
PRINT   '*** LINEITEM ***'
SELECT  TOP 10 *
FROM    LINEITEM

PRINT   ' '
PRINT   '*** NATION ***'
SELECT  TOP 10 *
FROM    NATION

PRINT   ' '
PRINT   '*** ORDERS ***'
SELECT  TOP 10 *
FROM    ORDERS

PRINT   ' '
PRINT   '*** PART ***'
SELECT  TOP 10 *
FROM    PART

PRINT   ' '
PRINT   '*** PARTSUPP ***'
SELECT  TOP 10 *
FROM    PARTSUPP

PRINT   ' '
PRINT   '*** REGION ***'
SELECT  TOP 10 *
FROM    REGION

PRINT   ' '
PRINT   '*** SUPPLIER ***'
SELECT  TOP 10 *
FROM    SUPPLIER

PRINT   ''
PRINT   ''
PRINT   '-----------------------------------'
PRINT   '|  TPC-H Select Top 10  - End     |'
PRINT   '-----------------------------------'
PRINT   ' '
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
